Subject: Re: bonding with 3c59x driver

From: Steffen Klassert <[email-masked]>
Date: Tue, 14 Feb 2012 12:06:04 +0100

On Tue, Feb 14, 2012 at 11:22:10AM +0100, Jean Delvare wrote:
> 
> Well I am still curious why the 3c59x driver has such slow polling when 
> other drivers I have been testing are able to report almost instantly 
> when I remove a network cable. Could it be that other network chips 
> generate an interrupt on cable removal and the 3com chips do not?
> 

Yes, at least some of the supported chips do not generate an interrupt
on cable removal, so we have to check for this with a timer.